View Issue Details

Category
SSPBT:本体(SSP)
SeverityminorReproducibilityalways 
Status assigned 
Summary0000097: shell's png warning with no reason
Description

When I use some shell like attachment, SSP will issue a warning, in which only the image file name which can be displayed normally without any additional information.
If there is a problem with the picture, what is that?
Some of my scripts may automatically process images, such as removing meta information. Is this alert caused?

Activities

guest

2020-07-01 00:19

reporter  

ARN-5041W_fuu.7z.003 (138,786 bytes)
ARN-5041W_fuu.7z.001 (1,048,576 bytes)
ARN-5041W_fuu.7z.002 (1,048,576 bytes)

guest

2020-07-01 01:05

reporter   ~0000192

I've found out that this is massage.txt due to not following up with the SSP, the attachment is new massage.txt For simplified Chinese,please up to language pack
But how can I fix this shell‘s problem?

message.txt (7,923 bytes)   
charset,UTF-8

//Error Message
error.appinit,The error occurred during starting of application.\nIn order to acquire more detailed information, please change the "Use Exception Handler" setting.
error.apprun,Since the internal error occurred during execution, application is terminated.\nIn order to acquire more detailed information, please change the "Use Exception Handler" setting.
error.cannotshowusagegraph,Since starting time is insufficient, usage time graph cannot be displayed. Please redo after about 1 minute passes.
error.invalidipport,The port number cannot be used. Please set between 1024 and 65535.
error.sstp.cannotlisten,A connection setup by the port number went wrong.\nPlease check whether the value which has not overlapped with the port used with other applications, or was invalid port number.
error.nofile,Essential file and/or directory cannot found.\nPlease re-install SSP or fix manually.

//Ask / Info
info.threadbusy,Some commands are now processing.\nPlease wait some minutes and quit once again.\n\nDoes it surely force to terminate?
info.compatiblemode,This ghost may need legacy specification support.\nShall I switch to old specification support mode?
info.notinstalled,Not installed.\nShall I open an Distribution URL?
info.delghost,Are you sure you want to delete this ghost?\nThis command cannot undo.
info.netconnection,Not connected to network, or connection prohibition time you specified.\nConnect?
info.sstplog,Please specify maximum size of SSTP log.\nIf log file is bigger than this setting, old file will be deleted.
info.sstpport,Please specify SSTP port number to listen.(0-65535)
info.serikowait,SERIKO wait multiplier (Please input percentage of wait time)
info.charset,Please choose default character encoding.
info.vanish,Uninstall function disabled.\nPlease enable before execute.
info.sender,Please input Sender text passed to SHIORI\n(Materia:embryo CROW:crow Default:empty/SSP)

info.install.overwrite,Trying to install to existing directory.\nDo you want to overwrite it?
info.install.overwrite.additional,Choose "Yes" to overwrite.\nChoose "No" to automatically change folder name to avoid overwrite.
info.install.refresh.a,Trying to clean (refresh) install to existing directory.\nExisting data will be lost. Do you want to overwrite it?

info.install.invalidsupplement,It seems to be an invalid supplement file.\nInstall anyway?
info.install.select,Please select install destination.

info.recommended.g-to-b.change,You have selected the balloon other than the ghost recommendation.\nIf you had switched, ghost will behave unexpectedly.\nDo you want to change anyway?
info.recommended.g-to-b.delete,You are about to delete a balloon "%2" that is recommended from below ghosts:\n%1\nDo you want to delete anyway?
info.recommended.g-to-b.delete.recommend,You are about to delete a balloon "%2" that is designated from below ghosts:\n%1\nIf you had deleted, some ghost behavior may be wrong.\nDo you want to delete anyway?

info.recommended.b-to-g.change,This balloon is a recommended (dedicated) balloon of below ghosts:\n%1\nIt's not recommended to use this balloon with other ghosts.\nDo you want to change anyway?
info.recommended.b-to-g.delete,All ghosts that are recommended from balloon "%1" have been deleted.\nDo you want to delete this balloon?

info.toomanyselection,You are selecting too many elements.\nDoes it surely execute?

info.errorlog,Error and/or Warning log exists. Click to Show Error Log List.
info.overwrite,Already Exists.\nOverwrite it?

info.developer,Contract with me and become a developer!\nWhen this option is enabled, you will experience serious problems, such as spoilers.\nDo you want to enable anyway?

info.developer.exit,In "Disable \- Tag Exit" Mode.\nPlease use developer palette setting to resume normal operation.
info.developer.update,In "Update Check Only" Mode.\nPlease use developer palette setting to resume normal operation.

info.virtualdesktop,Characters has been shown on another virtual desktop.

info.gcsakura.found,This ghost is already registered.
info.gcsakura.deny,Registration denied because of install.txt or robots.txt configuration.
info.gcsakura.nohomeurl,Required "homeurl" entry not found. Can't register non-updatable ghost.
info.gcsakura.nocraftman,One of craftman/craftmanw/craftmanurl entries not found. Can't register ghost that has incomplete creator information.
info.gcsakura.disconnect,Can't connect to Ghost Capter Sakura server.

//Resource
resource.common.yesno,Yes,No
resource.common.okcancel,OK,Cancel
resource.common.addmoddel,Add,Modify,Delete
resource.common.other,Other
resource.common.menu,Menu
resource.common.sameas,The same choice also applies after the next item.
resource.common.dontsayagain,Don't show this message again

resource.listdialoglabel,Name,Creator,Path,Group,\0Name,\1Name,Install,Update,UpResult
resource.listdialogfind,Please input the text you want to find.
resource.scriptloglabel,Ghost,Type,Script

resource.biff.allaccount,&All Accounts

resource.browser.select,Select Web Browser
resource.mailer.select,Select Mailer
resource.editor.select,Select Editor
resource.filer.select,Select File Manager
resource.svn.select,Select Subversion EXE
resource.git.select,Select Git EXE

resource.sound.select,Sound File
resource.schedule.date,Schedule:%d.%d.%d
resource.rateofuse.menu,Call Ghost,Close Ghost,Ghost Not Found,Delete This Data

resource.setting.balloon.command,No Operation,Same As Left-Click,Script Termination,Change Direction,Change Balloon Offset,Show Menu,Move Character Window
resource.setting.sstp.boot,Don't Boot,Messenger Only(SSTP/1.5),Boot Ghosts As Many As Possible (IfGhost)
resource.setting.sstp.close,Close when Balloon-Hide Timing,Leave,Set Close Timer...
resource.setting.update,Compatible with Other Clients,Strict (SSP Default),Restore Mode(Check All Files)
resource.aboutghost.select,Ghost Information...,Shell Information...,Balloon Information...
resource.explorer.select,Ghost,Shell,Balloon,Headline,Plugin

resource.setting.ghostcloseduration,Time until Ghost Closes
resource.setting.title,SSP:Configuration
resource.setting.messengerlabel,User Name,Address,Port,Group
resource.setting.dirservlabel,Service,Logon,Description
resource.setting.ipportlabel,Port,Status
resource.setting.bifflabel,Account,Address,AutoCheck

resource.update.latest,You are using latest version. No need to update.
resource.update.exist,New version released. Will you want to download it?
resource.update.error,Can't check SSP version.

resource.schedule.type,Event,Meeting,Appointment,Reservation,Time Limit,Party,A Date,Work,Go Out,TV,Recording,Cd,Game,Video,Book,Release

//Script
script.biff.check,Checking mail...
script.updatedata.creating,Creating network update file...
script.updatedata.created,Network update file created.
script.nar.creating,Creating NAR...
script.nar.created,NAR Created.

//Messenger
messenger.info.deluser,Delete selected recipients. Are you sure?

//POP
biff.info.delaccount,Delete selected account. Are you sure?

//LOG
log.definedtwice,Defined Twice.
log.boundrectempty,Bounding Rectangle Empty.
log.offset,Offset Error.
log.notfound,Not Found.
log.empty,Empty.
log.noimage,Has No Image.
log.invalid,Invalid
log.typo,Invalid
log.orphan,Not Used.
log.bracebeginnotfound,"{" Not Found.
log.braceendnotfound,"}" Not Found.
log.braceextrachar,Extra Char. After "{" or "}".
log.newold,New definition, Old version.
log.oldnew,Old definition, New version.
log.invalidalias,Invalid Alias.
log.urlslashadd,URL "/" Added.
log.deletetxtconflict,is also in delete.txt
log.compatibility,Compatibility Problem in This Definition
log.moduleerror,Communication error. Possible file corruption.
log.similar,-- similar log repeat : x
log.pngpna,PNA size is different from PNG, or PNA isn't grayscale : 
message.txt (7,923 bytes)   

guest

2020-07-01 01:07

reporter   ~0000193

Oh shit
I sent it in English

message-2.txt (7,575 bytes)   
charset,UTF-8

//Error Message
error.appinit,在发送请求过程中发生了一个错误.\n为了得到更详细的错误报告,请改变 "使用除错助手" 设置.
error.apprun,程序在执行过程中发生了一个内在的错误,所以中止运行.\n为了得到更详细的错误报告, 请改变 "使用除错助手" 设置.
error.cannotshowusagegraph,起始时间不充足, 所使用的时间图表不能显示. 请在一分钟后重试.
error.invalidipport,不能使用所设置的端口. 请把它设置在 1024 与65535 之间
error.sstp.cannotlisten,不能连接,网络连接设置因为端口问题发生故障.\n请检查是否该端口与其他应用程序所设置相重叠, 或是一个错误端口.
error.nofile,相关文件或文件夹丢失.\n请重新安装SSP或手动修正.

//Ask / Info
info.threadbusy,正在处理一些命令.\n请等几分钟再试一次.\n\n真的要强行中止吗?
info.compatiblemode,该人格也许需要旧规格的支持.\n要开启旧规格支援模式吗?
info.notinstalled,没有安装.\n要开打开下载网址吗?
info.delghost,你确定删除这个人格吗?\n一旦执行不能取消该命令.
info.netconnection,不能连接到网络, 或者你置了网络禁止连接时间段.\n进行连接?
info.sstplog,请设置 SSTP 日志的最大尺寸 .\n如果日志文大小超过该设置, 将会自动删掉旧的文件.
info.sstpport,请设置 SSTP 端口.(0-65535)
info.serikowait,SERIKO 等待数 (请输入等待时间的百分数)
info.charset,请选择将使用的人格语系.
info.vanish,反安装功能禁止.\n请先切换设定.
info.sender,请输入SHIORI发送器文本.\n(Materia:embryo CROW:crow Default:empty/SSP)

info.install.overlap,目标文件夹已存在.\n你想安装到其他目录吗?
info.install.refresh,将删除所有旧目录和更新。\n你想要安装到其他目录吗?
info.install.overwrite,正在尝试安装到现有目录。\你想要覆盖它吗?
info.install.overwrite.additional,选择“是”覆盖。\n选择“不”自动更改文件夹名称以避免覆盖。
info.install.refresh.a,正在尝试干净(全新)安装到现有目录。\n现有数据将丢失。你想要覆盖它吗?

info.install.invalidsupplement,目标文件可能存在问题.\n无论如何都要安装吗?
info.install.select,请选择安装文件夹

info.recommended.g-to-b.change,你已选择了人格建议之外的对话框。\n如果切换,人格可能出现意外行为。\n是否仍要更改?
info.recommended.g-to-b.delete,你正在删除对话框"%2",这个对话框被以下人格推荐:\n%1\n仍然删除?
info.recommended.g-to-b.delete.recommend,你正在删除对话框"%2",这个对话框被以下人格指定:\n%1\n如果你进行了删除,某些人格可能出现意外行为。\n仍然删除?

info.recommended.b-to-g.change,这个对话框为以下人格专用:\n%1\n这个对话框不被推荐给其他人格使用。\n是否仍要更改?
info.recommended.b-to-g.delete,已删除所有使用对话框"%1"的人格。\n顺便删除此对话框么?

info.toomanyselection,选择的元素有些多。\n确认执行?

info.errorlog,存在错误和/或警告日志。单击此处显示错误日志列表。
info.overwrite,已经存在。\n是否覆写?

info.developer,和我契约,成为开发者吧!\n打开这个功能的话,需要做好人格大剧透等各种各样的觉悟。\n仍然确定吗?

info.developer.exit,现在在“禁用\-标记退出”模式下。\n请使用开发人员面板进行设置以恢复正常。
info.developer.update,现在在“更新只检查”模式下。\n请使用开发人员面板进行设置以恢复正常。

info.virtualdesktop,已在另一虚拟桌面启动。

info.gcsakura.found,这个人格已经登录了。
info.gcsakura.deny,由于install.txt或robots.txt配置,注册被拒绝。
info.gcsakura.nohomeurl,找不到必需的“homeurl”项。无法注册不可更新的人格。
info.gcsakura.nocraftman,找不到craftman/craftmanw/craftmanurl条目之一。无法注册具有不完整创建者信息的人格。
info.gcsakura.disconnect,无法连接到GCS(Ghost Capter Sakura)服务器。

//Resource
resource.common.yesno,是,不
resource.common.okcancel,确定,取消
resource.common.addmoddel,加入,修改,删除
resource.common.other,其他
resource.common.menu,目录
resource.common.sameas,同样的处理也适用于以下项目
resource.common.dontsayagain,不再提示

resource.listdialoglabel,名字,作者,路径,本体名,使魔名
resource.listdialogfind,请输入你想查询的文字.
resource.scriptloglabel,路径,类别,语法

resource.biff.allaccount,全部帐户(&A)

resource.browser.select,选择网页浏览器
resource.mailer.select,选择邮箱程序
resource.editor.select,选择编辑器
resource.filer.select,选择文件管理器
resource.svn.select,选择版本控制程序
resource.git.select,选择Git程序

resource.sound.select,声音文件
resource.schedule.date,记事本:%d.%d.%d
resource.rateofuse.menu,人格呼出,人格终了,查无此人,清除数据

resource.setting.balloon.command,不设定,与左键一样,中止语法,改变方向,移动对话框,打开菜单,移动角色框
resource.setting.sstp.boot,不启动,只有消息(SSTP/1.5),尽可能启动人格 (IfGhost)
resource.setting.sstp.close,当隐藏对话时关闭,留下,设置关闭时间...
resource.setting.update,标准(和其他系统相容),严格(SSP预设),修复模式(全部检查)
resource.aboutghost.select,人格信息...,外形信息...
resource.explorer.select,人格,外形,对话框,在线新闻,外挂

resource.setting.ghostcloseduration,直到人格关闭为止
resource.setting.title,SSP:内部设定
resource.setting.messengerlabel,用户名,地址,端口,团体
resource.setting.dirservlabel,服务器,登陆,说明
resource.setting.ipportlabel,端口,状况
resource.setting.bifflabel,账户,地址,自动检查

resource.update.latest,你已经正在使用最新版本。不需要更新。
resource.update.exist,新版本已发布。想要下载并安装吗?
resource.update.error,无法检查 SSP 版本。

resource.schedule.type,事件,会议,约会,预约,限制时间,晚会,日期,工作,外出,电视节目,唱片,Cd,游戏,录像,书,发布

//Script
script.biff.check,检查邮件...
script.updatedata.creating,制作网络更新文件...
script.updatedata.created,网络更新文件已建立.
script.nar.creating,制作NAR...
script.nar.created,NAR制作完毕.

//Messenger
messenger.info.deluser,你确定要删除选择的收件人吗?

//POP
biff.info.delaccount,你确定删除所选账户吗?

//LOG
log.definedtwice,重复定义。
log.boundrectempty,边框为空。
log.offset,位置错误。
log.notfound,找不到。
log.empty,为空。
log.noimage,没有影像。
log.invalid,不合法
log.typo,误字
log.bracebeginnotfound,"{" 找不到。
log.braceendnotfound,"}" 找不到。
log.braceextrachar,额外字元。在 "{" 或 "}" 前后。
log.newold,新定义,旧版本。(重复定义)
log.oldnew,旧定义,新版本。(重复定义)
log.invalidalias,不合法的别名。
log.urlslashadd,URL "/" 已加入。
log.deletetxtconflict,已在 delete.txt 中
log.compatibility,这个定义在兼容性上有问题。
log.moduleerror,通信错误。可能有文件损坏。
log.similar,--相似记录重复次数:
log.pngpna,PNA大小与PNG不同,或者PNA不是灰度:
message-2.txt (7,575 bytes)   

ponapalt

2020-07-02 20:22

administrator   ~0000194

Thank you. I had overwritten it and uploaded.

ponapalt

2020-07-03 21:08

administrator   ~0000196

I've checked your shell png and pna, and found below problems.

1.PNA is not grayscale
2.some PNA size is different from PNG.

How to clear above error:

Option 1:
You can clear error correcting above 2 problems manually.

Option 2:
If you have PNG files with alpha channel, you can use it after adding below definitions.

shell's descript.txt :
seriko.paint_transparent_region_black,0
seriko.use_self_alpha,1

guest

2020-07-05 21:26

reporter   ~0000197

Thank you for taking time to deal with my problem, I'll try to fix these shells.
But if these shells display properly, is there any need to warn?

also,even I didn't find the wine package for turmux, I found the wine for Android.
https://dl.winehq.org/wine-builds/android/
I'll use it if I need to use my phone to test my ghost.XD.

I've seen a mobile app that can play voice in situations such as dis(or)connection mobile data traffic, weather change, WiFi link/cut, etc., similar to the live2D version of ukagaka on the mobile phone
https://www.mimikko.cn/
Will SSP launch similar mobile app and event name?

By the way,It may be better if SSP supports shell descript.txt to specify a dll to draw ukagaka window.
Some of my friends of ukagaka are trying to make live2D or even 3D ukagaka.
Some even have the idea to build in VR.
if can support that,it will help them a lot.

Add Note

View Status
Note
Upload Files
Maximum size: 2,000 KB

Attach files by dragging & dropping, selecting or pasting them.

送信ボタンを押す前に / Before pushing "Send" button

  • スパム避けのためにパスワードが必要です。送信ボタンを押すとユーザー名とパスワードを聞かれますので、それぞれ "bts" と入力してください。
  • To send report, please input "bts" into username and password box in popup dialog.

Issue History

Date Modified Username Field Change
2020-07-01 00:19 guest New Issue
2020-07-01 00:19 guest File Added: ARN-5041W_fuu.7z.003
2020-07-01 00:19 guest File Added: ARN-5041W_fuu.7z.001
2020-07-01 00:19 guest File Added: ARN-5041W_fuu.7z.002
2020-07-01 01:05 guest Note Added: 0000192
2020-07-01 01:05 guest File Added: message.txt
2020-07-01 01:07 guest Note Added: 0000193
2020-07-01 01:07 guest File Added: message-2.txt
2020-07-02 20:22 ponapalt Assigned To => ponapalt
2020-07-02 20:22 ponapalt Status new => closed
2020-07-02 20:22 ponapalt Resolution open => fixed
2020-07-02 20:22 ponapalt Note Added: 0000194
2020-07-03 21:08 ponapalt Status closed => assigned
2020-07-03 21:08 ponapalt Note Added: 0000196
2020-07-05 21:26 guest Note Added: 0000197